<?php defined('SYSPATH') or die('No direct access allowed.');

class License_Controller extends Ninja_Controller {

	public function index() {
		// This URL should not be used anymore so now we just redirect to
		// license page on op5.com
		$license = op5objstore::instance()->obj_instance_callback('op5license', function () {
			return new op5license();
		});

		$metadata = $license->get_metadata();
		$lictype =
			isset($metadata['branding']) ? $metadata['branding'] : 'unknown';

		url::redirect("https://www.op5.com/op5-monitor-license-bounce?lic="
			. "$lictype&info=fromblaffa");
	}
}
